Bug 1372278 - [RFE] Provide snapshot events for the new eventing framework
Summary: [RFE] Provide snapshot events for the new eventing framework
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: snapshot
Version: 3.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Avra Sengupta
QA Contact:
URL:
Whiteboard:
Depends On: 1361184 1370567
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-01 10:22 UTC by Avra Sengupta
Modified: 2016-12-06 06:00 UTC (History)
7 users (show)

Fixed In Version: glusterfs-3.9.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1370567
Environment:
Last Closed: 2016-12-06 06:00:52 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Comment 1 Worker Ant 2016-09-01 10:23:17 UTC
REVIEW: http://review.gluster.org/15381 (snapshot/eventsapi: Integrate snapshot events with eventsapi) posted (#1) for review on release-3.9 by Avra Sengupta (asengupt@redhat.com)

Comment 2 Worker Ant 2016-09-04 04:40:28 UTC
REVIEW: http://review.gluster.org/15381 (snapshot/eventsapi: Integrate snapshot events with eventsapi) posted (#2) for review on release-3.9 by Atin Mukherjee (amukherj@redhat.com)

Comment 3 Worker Ant 2016-09-07 11:06:08 UTC
COMMIT: http://review.gluster.org/15381 committed in release-3.9 by Atin Mukherjee (amukherj@redhat.com) 
------
commit c6352056af8055701d0895e159d10e4a3fcdd3d0
Author: Avra Sengupta <asengupt@redhat.com>
Date:   Fri Aug 26 14:05:07 2016 +0530

    snapshot/eventsapi: Integrate snapshot events with eventsapi
    
        Backport of http://review.gluster.org/#/c/15329/
    
    1. EVENT_SNAPSHOT_CREATED : snapshot_name=snap1 volume_name=test_vol
                                snapshot_uuid=26dd6c52-6021-40b1-a507-001a80401d70
    2. EVENT_SNAPSHOT_CREATE_FAILED : snapshot_name=snap1 volume_name=test_vol
                                      error=Snapshot snap1 already exists
    3. EVENT_SNAPSHOT_ACTIVATED : snapshot_name=snap1
                                  snapshot_uuid=26dd6c52-6021-40b1-a507-001a80401d70
    4. EVENT_SNAPSHOT_ACTIVATE_FAILED: snapshot_name=snap1
                                       error=Snapshot snap1 is already activated.
    5. EVENT_SNAPSHOT_DEACTIVATED : snapshot_name=snap1
                                  snapshot_uuid=26dd6c52-6021-40b1-a507-001a80401d70
    6. EVENT_SNAPSHOT_DEACTIVATE_FAILED : snapshot_name=snap3
                                          error=Snapshot (snap3) does not exist.
    7. EVENT_SNAPSHOT_SOFT_LIMIT_REACHED : volume_name=test_vol
                                      volume_id=2ace2616-5591-4b9b-be2a-38592dda5758
    8. EVENT_SNAPSHOT_HARD_LIMIT_REACHED : volume_name=test_vol
                                      volume_id=2ace2616-5591-4b9b-be2a-38592dda5758
    9. EVENT_SNAPSHOT_RESTORED : snapshot_name=snap1 volume_name=test_vol
                                 snapshot_uuid=3a840ec5-08da-4f2b-850d-1d5539a5d14d
    10. EVENT_SNAPSHOT_RESTORE_FAILED : snapshot_name=snap10
                                        error=Snapshot (snap10) does not exist
    11. EVENT_SNAPSHOT_DELETED : snapshot_name=snap1
                                 snapshot_uuid=d9ff3d4f-f579-4345-a4da-4f9353f0950c
    12. EVENT_SNAPSHOT_DELETE_FAILED : snapshot_name=snap2
                                       error=Snapshot (snap2) does not exist
    13. EVENT_SNAPSHOT_CLONED : clone_uuid=93ba9f06-cb9c-4ace-aa52-2616e7f31022
                                snapshot_name=snap1 clone_name=clone2
    14. EVENT_SNAPSHOT_CLONE_FAILED : snapshot_name=snap1 clone_name=clone2
                                      error=Volume with name:clone2 already exists
    15. EVENT_SNAPSHOT_CONFIG_UPDATED : auto-delete=enable config_type=system_config
                                        config_type=volume_config hard_limit=100
    16. EVENT_SNAPSHOT_CONFIG_UPDATE_FAILED :
                       error=Invalid snap-max-soft-limit 110. Expected range 1 - 100
    17. EVENT_SNAPSHOT_SCHEDULER_INITIALISED : status=Success
    18. EVENT_SNAPSHOT_SCHEDULER_INIT_FAILED
    19. EVENT_SNAPSHOT_SCHEDULER_ENABLED : status=Successfuly Enabled
    20. EVENT_SNAPSHOT_SCHEDULER_ENABLE_FAILED :
                                       error=Snapshot scheduler is already enabled.
    21. EVENT_SNAPSHOT_SCHEDULER_SCHEDULE_ADDED : status=Successfuly added job job1
    22. EVENT_SNAPSHOT_SCHEDULER_SCHEDULE_ADD_FAILED :
                        status=Failed to add job job1 error=The job already exists.
    23. EVENT_SNAPSHOT_SCHEDULER_SCHEDULE_EDITED :
                                                 status=Successfuly edited job job1
    24. EVENT_SNAPSHOT_SCHEDULER_SCHEDULE_EDIT_FAILED :
                                                     status=Failed to edit job job2
                                                     error=The job cannot be found.
    25. EVENT_SNAPSHOT_SCHEDULER_SCHEDULE_DELETED :
                                                status=Successfuly deleted job job1
    26. EVENT_SNAPSHOT_SCHEDULER_SCHEDULE_DELETE_FAILED :
                                                   status=Failed to delete job job1
                                                   error=The job cannot be found.
    27. EVENT_SNAPSHOT_SCHEDULER_DISABLED : status=Successfuly Disabled
    28. EVENT_SNAPSHOT_SCHEDULER_DISABLE_FAILED :
                                       error=Snapshot scheduler is already disabled.
    
    
    > Reviewed-on: http://review.gluster.org/15329
    > Tested-by: Aravinda VK <avishwan@redhat.com>
    > Smoke: Gluster Build System <jenkins@build.gluster.org>
    > NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    > CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    > Reviewed-by: Rajesh Joseph <rjoseph@redhat.com>
    
    (cherry picked from commit c1278de9a5fb6a64455f42b8b17a8d05b74c2420)
    
    Change-Id: I3479cc3fb7af3c76ded67cf289f99547d0a55d21
    BUG: 1372278
    Signed-off-by: Avra Sengupta <asengupt@redhat.com>
    Reviewed-on: http://review.gluster.org/15381
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 4 Aravinda VK 2016-10-27 05:23:11 UTC
glusterfs-3.9.0rc2 is released[1] and packages are available for different distributions[2] to test.

[1] http://www.gluster.org/pipermail/maintainers/2016-October/001601.html
[2] http://www.gluster.org/pipermail/maintainers/2016-October/001605.html and http://www.gluster.org/pipermail/maintainers/2016-October/001606.html

Comment 5 Aravinda VK 2016-12-06 06:00:52 UTC
Gluster 3.9 GA is released http://blog.gluster.org/2016/11/announcing-gluster-3-9/


Note You need to log in before you can comment on or make changes to this bug.